/*
-- Creates example partitions with tiny amount of data for testing
-- partition related queries.
*/
DROP SCHEMA IF EXISTS pgdd_test CASCADE;
CREATE SCHEMA pgdd_test;
CREATE TABLE pgdd_test.parent (
    id BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY,
    val TEXT NOT NULL
) PARTITION BY RANGE (id);

CREATE TABLE pgdd_test.child_0_10
    PARTITION OF pgdd_test.parent
    FOR VALUES FROM (0) TO (10)
;
CREATE TABLE pgdd_test.child_10_20
    PARTITION OF pgdd_test.parent
    FOR VALUES FROM (10) TO (20)
;
CREATE TABLE pgdd_test.child_20_30
    PARTITION OF pgdd_test.parent
    FOR VALUES FROM (20) TO (30)
;

INSERT INTO pgdd_test.parent (val)
SELECT MD5(RANDOM()::TEXT)
    FROM generate_series(1,15)
;